BitronixContext (Bitronix Transaction Manager :: Core 2.1.4 API)
Date: 2013-09-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## bitronix.tm.jndi
Class BitronixContext

    java.lang.Object
      bitronix.tm.jndi.BitronixContext

All Implemented Interfaces:
  Context

    public class BitronixContext

extends Object
implements Context

Implementation of `Context` that allows lookup of transaction manager and registered resources.

This implementation is trivial as only the `lookup` methods are implemented, all the other ones will throw a `OperationNotSupportedException`.

Author:
  lorban
See Also:
  `BitronixInitialContextFactory`

Field Summary

Fields inherited from interface javax.naming.Context
`APPLET, AUTHORITATIVE, BATCHSIZE, DNS_URL, INITIAL_CONTEXT_FACTORY, LANGUAGE, OBJECT_FACTORIES, PROVIDER_URL, REFERRAL, SECURITY_AUTHENTICATION, SECURITY_CREDENTIALS, SECURITY_PRINCIPAL, SECURITY_PROTOCOL, STATE_FACTORIES, URL_PKG_PREFIXES`

Constructor Summary
`BitronixContext()`

Method Summary
`Object` | `addToEnvironment(String s, Object o)`
`void` | `bind(Name name, Object o)`
`void` | `bind(String s, Object o)`
`void` | `close()`
`Name` | `composeName(Name name, Name name1)`
`String` | `composeName(String s, String s1)`
`Context` | `createSubcontext(Name name)`
`Context` | `createSubcontext(String s)`
`void` | `destroySubcontext(Name name)`
`void` | `destroySubcontext(String s)`
`Hashtable<?,?>` | `getEnvironment()`
`String` | `getNameInNamespace()`
`NameParser` | `getNameParser(Name name)`
`NameParser` | `getNameParser(String s)`
`NamingEnumeration<NameClassPair>` | `list(Name name)`
`NamingEnumeration<NameClassPair>` | `list(String s)`
`NamingEnumeration<Binding>` | `listBindings(Name name)`
`NamingEnumeration<Binding>` | `listBindings(String s)`
`Object` | `lookup(Name name)`
`Object` | `lookup(String s)`
`Object` | `lookupLink(Name name)`
`Object` | `lookupLink(String s)`
`void` | `rebind(Name name, Object o)`
`void` | `rebind(String s, Object o)`
`Object` | `removeFromEnvironment(String s)`
`void` | `rename(Name name, Name name1)`
`void` | `rename(String s, String s1)`
`String` | `toString()`
`void` | `unbind(Name name)`
`void` | `unbind(String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BitronixContext

    public BitronixContext()

Method Detail

### close

    public void close()
               throws NamingException

  Specified by:
    `close` in interface `Context`
  Throws:
    `NamingException`

### lookup

    public Object lookup(Name name)
                  throws NamingException

  Specified by:
    `lookup` in interface `Context`
  Throws:
    `NamingException`

### lookup

    public Object lookup(String s)
                  throws NamingException

  Specified by:
    `lookup` in interface `Context`
  Throws:
    `NamingException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### bind

    public void bind(Name name,
                     Object o)
              throws NamingException

  Specified by:
    `bind` in interface `Context`
  Throws:
    `NamingException`

### bind

    public void bind(String s,
                     Object o)
              throws NamingException

  Specified by:
    `bind` in interface `Context`
  Throws:
    `NamingException`

### rebind

    public void rebind(Name name,
                       Object o)
                throws NamingException

  Specified by:
    `rebind` in interface `Context`
  Throws:
    `NamingException`

### rebind

    public void rebind(String s,
                       Object o)
                throws NamingException

  Specified by:
    `rebind` in interface `Context`
  Throws:
    `NamingException`

### unbind

    public void unbind(Name name)
                throws NamingException

  Specified by:
    `unbind` in interface `Context`
  Throws:
    `NamingException`

### unbind

    public void unbind(String s)
                throws NamingException

  Specified by:
    `unbind` in interface `Context`
  Throws:
    `NamingException`

### rename

    public void rename(Name name,
                       Name name1)
                throws NamingException

  Specified by:
    `rename` in interface `Context`
  Throws:
    `NamingException`

### rename

    public void rename(String s,
                       String s1)
                throws NamingException

  Specified by:
    `rename` in interface `Context`
  Throws:
    `NamingException`

### list

    public NamingEnumeration<NameClassPair> list(Name name)
                                          throws NamingException

  Specified by:
    `list` in interface `Context`
  Throws:
    `NamingException`

### list

    public NamingEnumeration<NameClassPair> list(String s)
                                          throws NamingException

  Specified by:
    `list` in interface `Context`
  Throws:
    `NamingException`

### listBindings

    public NamingEnumeration<Binding> listBindings(Name name)
                                            throws NamingException

  Specified by:
    `listBindings` in interface `Context`
  Throws:
    `NamingException`

### listBindings

    public NamingEnumeration<Binding> listBindings(String s)
                                            throws NamingException

  Specified by:
    `listBindings` in interface `Context`
  Throws:
    `NamingException`

### destroySubcontext

    public void destroySubcontext(Name name)
                           throws NamingException

  Specified by:
    `destroySubcontext` in interface `Context`
  Throws:
    `NamingException`

### destroySubcontext

    public void destroySubcontext(String s)
                           throws NamingException

  Specified by:
    `destroySubcontext` in interface `Context`
  Throws:
    `NamingException`

### createSubcontext

    public Context createSubcontext(Name name)
                             throws NamingException

  Specified by:
    `createSubcontext` in interface `Context`
  Throws:
    `NamingException`

### createSubcontext

    public Context createSubcontext(String s)
                             throws NamingException

  Specified by:
    `createSubcontext` in interface `Context`
  Throws:
    `NamingException`

### lookupLink

    public Object lookupLink(Name name)
                      throws NamingException

  Specified by:
    `lookupLink` in interface `Context`
  Throws:
    `NamingException`

### lookupLink

    public Object lookupLink(String s)
                      throws NamingException

  Specified by:
    `lookupLink` in interface `Context`
  Throws:
    `NamingException`

### getNameParser

    public NameParser getNameParser(Name name)
                             throws NamingException

  Specified by:
    `getNameParser` in interface `Context`
  Throws:
    `NamingException`

### getNameParser

    public NameParser getNameParser(String s)
                             throws NamingException

  Specified by:
    `getNameParser` in interface `Context`
  Throws:
    `NamingException`

### composeName

    public Name composeName(Name name,
                            Name name1)
                     throws NamingException

  Specified by:
    `composeName` in interface `Context`
  Throws:
    `NamingException`

### composeName

    public String composeName(String s,
                              String s1)
                       throws NamingException

  Specified by:
    `composeName` in interface `Context`
  Throws:
    `NamingException`

### addToEnvironment

    public Object addToEnvironment(String s,
                                   Object o)
                            throws NamingException

  Specified by:
    `addToEnvironment` in interface `Context`
  Throws:
    `NamingException`

### removeFromEnvironment

    public Object removeFromEnvironment(String s)
                                 throws NamingException

  Specified by:
    `removeFromEnvironment` in interface `Context`
  Throws:
    `NamingException`

### getEnvironment

    public Hashtable<?,?> getEnvironment()
                                  throws NamingException

  Specified by:
    `getEnvironment` in interface `Context`
  Throws:
    `NamingException`

### getNameInNamespace

    public String getNameInNamespace()
                              throws NamingException

  Specified by:
    `getNameInNamespace` in interface `Context`
  Throws:
    `NamingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Bitronix Software. All Rights Reserved.